<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__sd__host__macros__csd" kind="group">
    <compoundname>group_sd_host_macros_csd</compoundname>
    <title>CSD Register Masks</title>
      <sectiondef kind="define">
      <memberdef id="group__group__sd__host__macros__csd_1ga9742c6a32fa796cf85e12130756aed4b" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CSD_V2_CSD_STRUCTURE</name>
        <initializer>(0x0000FF00UL)</initializer>
        <briefdescription>
<para>CSD structure (contained in csd[3]) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="743" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="659" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__csd_1ga240b3791260d7a215e3e70d1c3831d79" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CSD_V2_TAAC</name>
        <initializer>(0x0000FF00UL)</initializer>
        <briefdescription>
<para>The data read access-time (contained in csd[3]). </para>        </briefdescription>
        <detaileddescription>
<para>This field is fixed to 0Eh, which indicates 1 ms. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="745" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="663" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__csd_1gadc0945fa470cebd2c13b1d58adebb445" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CSD_V2_NSAC</name>
        <initializer>(0x000000FFUL)</initializer>
        <briefdescription>
<para>The data read access-time in CLK cycles (NSAC*100) (contained in csd[3]). </para>        </briefdescription>
        <detaileddescription>
<para>This field is fixed to 00h. NSAC should not be used to calculate time-out values for CSD Version 2.0. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="751" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="670" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__csd_1ga3281d1f21133600aa10181dad542352c" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CSD_V2_TRAN_SPEED</name>
        <initializer>(0xFF000000UL)</initializer>
        <briefdescription>
<para>The max. </para>        </briefdescription>
        <detaileddescription>
<para>data transfer rate (contained in csd[2]). Equals to 0x32 (25 MHz) or 0x5A (50 MHz). </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="763" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="674" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__csd_1ga2f4a387db814f3635bba4639535ac091" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CSD_V2_CCC</name>
        <initializer>(0x00FFF000UL)</initializer>
        <briefdescription>
<para>The card command classes (contained in csd[2]). </para>        </briefdescription>
        <detaileddescription>
<para>The card command class register CCC defines which command classes are supported by this card. A value of 1 in a CCC bit means that the corresponding command class is supported. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="769" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="681" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__csd_1ga1d6c63e187f3e180f7b983102fc74ebc" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CSD_V2_READ_BL_LEN</name>
        <initializer>(0x00000F00UL)</initializer>
        <briefdescription>
<para>The max. </para>        </briefdescription>
        <detaileddescription>
<para>read data block length (contained in csd[2]). This field is fixed to 9h, which indicates READ_BL_LEN=512 Byte. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="781" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="686" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__csd_1ga0c56081d8e6e79a3fb8db14c4c1df810" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CSD_V2_READ_BL_PARTIAL</name>
        <initializer>(0x00000080UL)</initializer>
        <briefdescription>
<para>The partial blocks for read allowed (contained in csd[2]). </para>        </briefdescription>
        <detaileddescription>
<para>This field is fixed to 0, which indicates partial block read is inhibited and only unit of block access is allowed. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="789" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="692" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__csd_1ga84543d657300d8f4313ce8459e0a816d" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CSD_V2_WRITE_BLK_MISALIGN</name>
        <initializer>(0x00000040UL)</initializer>
        <briefdescription>
<para>The write block misalignment (contained in csd[2]). </para>        </briefdescription>
        <detaileddescription>
<para>This field is fixed to 0, which indicates write access crossing physical block boundaries is always disabled in High Capacity SD Memory Card. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="799" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="698" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__csd_1ga7b2f4e4c5e4eafb90cd92a7c7c67c063" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CSD_V2_READ_BLK_MISALIGN</name>
        <initializer>(0x00000020UL)</initializer>
        <briefdescription>
<para>The read block misalignment (contained in csd[2]). </para>        </briefdescription>
        <detaileddescription>
<para>This field is fixed to 0, which indicates read access crossing physical block boundaries is always disabled in High Capacity SD Memory Card. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="809" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="704" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__csd_1gaa62150070b49e849d8c40e467e26f65d" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CSD_V2_DSR_IMP</name>
        <initializer>(0x00000010UL)</initializer>
        <briefdescription>
<para>The DSR implemented (contained in csd[2]). </para>        </briefdescription>
        <detaileddescription>
<para>Defines if the configurable driver stage is integrated on the card. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="819" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="709" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__csd_1gac9fc801ba4613dbb7452482c4432409e" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CSD_V2_C_SIZE_MASK</name>
        <initializer>(0x3FFFFF00UL)</initializer>
        <briefdescription>
<para>The device size (contained in csd[1]). </para>        </briefdescription>
        <detaileddescription>
<para>This parameter is used to calculate the user data area capacity in the SD memory card (not include the protected area). The user data area capacity is calculated from C_SIZE as follows: memory capacity = (C_SIZE+1) * 512K byte. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="827" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="718" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__csd_1ga247a022b6b934f5b5238481f588c589a" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CSD_V2_ERASE_BLK_EN</name>
        <initializer>(0x00000040UL)</initializer>
        <briefdescription>
<para>The erase single block enable (contained in csd[1]). </para>        </briefdescription>
        <detaileddescription>
<para>This field is fixed to 1, which means the host can erase one or multiple units of 512 bytes. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="843" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="723" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__csd_1ga02e48f0993195d092b3e1309b0d4db7c" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CSD_V2_SECTOR_SIZE_MSB</name>
        <initializer>(0x0000003FUL)</initializer>
        <briefdescription>
<para>The MSB of erase sector size (6 MSB bits contained in csd[1]). </para>        </briefdescription>
        <detaileddescription>
<para>SECTOR_SIZE is fixed to 7Fh, which indicates 64 KBytes. This value does not relate to erase operation. Version 2.00 cards indicates memory boundary by AU size and this field should not be used. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="851" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="730" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__csd_1ga8e88baf5412c4d45a606fdd769ef29c5" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CSD_V2_SECTOR_SIZE_LSB</name>
        <initializer>(0x80000000UL)</initializer>
        <briefdescription>
<para>The LSB of erase sector size (1 LSB bit of SECTOR_SIZE contained in csd[0]). </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="863" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="734" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__csd_1gaf5de7f8c44f4f37b00d4bfc85e3c47be" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CSD_V2_WP_GRP_SIZE</name>
        <initializer>(0x7F000000UL)</initializer>
        <briefdescription>
<para>The write protect group size (contained in csd[0]). </para>        </briefdescription>
        <detaileddescription>
<para>This field is fixed to 00h. The High Capacity SD Memory Card does not support write protected groups. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="869" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="739" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__csd_1gac7bbb30857f7ccbd4d986c5c5e503b62" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CSD_V2_WP_GRP_ENABLE</name>
        <initializer>(0x00800000UL)</initializer>
        <briefdescription>
<para>The write protect group enable (contained in csd[0]). </para>        </briefdescription>
        <detaileddescription>
<para>This field is fixed to 0. The High Capacity SD Memory Card does not support write protected groups. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="877" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="744" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__csd_1ga7c3f496c0fb2067ca9350cb9c2b73ed7" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CSD_V2_R2W_FACTOR</name>
        <initializer>(0x001C0000UL)</initializer>
        <briefdescription>
<para>The write speed factor (contained in csd[0]). </para>        </briefdescription>
        <detaileddescription>
<para>This field is fixed to 2h, which indicates 4 multiples. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="885" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="748" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__csd_1gaa5de71f47000451440d834b28a2e2494" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CSD_V2_WRITE_BL_LEN</name>
        <initializer>(0x0003C000UL)</initializer>
        <briefdescription>
<para>The max. </para>        </briefdescription>
        <detaileddescription>
<para>write data block length (contained in csd[0]). This field is fixed to 9h, which indicates WRITE_BL_LEN=512 Byte. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="891" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="753" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__csd_1gaf8c809d6673842125819f93fcd8ffaf3" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CSD_V2_WRITE_BL_PARTIAL</name>
        <initializer>(0x00002000UL)</initializer>
        <briefdescription>
<para>The partial blocks for write allowed (contained in csd[0]). </para>        </briefdescription>
        <detaileddescription>
<para>This field is fixed to 0, which indicates partial block read is inhibited and only unit of block access is allowed. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="899" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="759" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__csd_1gafef9d3b0891ed1f512596a61b3e777c2" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CSD_V2_FILE_FORMAT_GRP</name>
        <initializer>(0x00000080UL)</initializer>
        <briefdescription>
<para>The File format group (contained in csd[0]). </para>        </briefdescription>
        <detaileddescription>
<para>This field is set to 0. Host should not use this field. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="909" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="763" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__csd_1ga6e5ea914091cd730f545ba62a6f10fd2" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CSD_V2_COPY</name>
        <initializer>(0x00000040UL)</initializer>
        <briefdescription>
<para>The copy flag (OTP) (contained in csd[0]). </para>        </briefdescription>
        <detaileddescription>
<para>Defines if the contents is original (=0) or has been copied (=1). The COPY bit for OTP and MTP devices, sold to end consumers, is set to 1, which identifies the card contents as a copy. The COPY bit is a one time programmable bit. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="915" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="771" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__csd_1gac0e4f10f177933036d148b5e0b629db9" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CSD_V2_PERM_WRITE_PROTECT</name>
        <initializer>(0x00000020UL)</initializer>
        <briefdescription>
<para>The permanent write protection (contained in csd[0]). </para>        </briefdescription>
        <detaileddescription>
<para>Permanently protects the entire card content against overwriting or erasing (all write and erase commands for this card are permanently disabled). The default value is 0, i.e. not permanently write protected. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="929" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="779" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__csd_1ga5389a6d289197d71555f16b701198467" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CSD_V2_TMP_WRITE_PROTECT</name>
        <initializer>(0x00000010UL)</initializer>
        <briefdescription>
<para>The temporary write protection (contained in csd[0]). </para>        </briefdescription>
        <detaileddescription>
<para>Temporarily protects the entire card content from being overwritten or erased (all write and erase commands for this card are temporarily disabled). This bit can be set and reset. The default value is 0, i.e. not write protected. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="943" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="787" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__csd_1ga39ddcecf319a341f7e27452c562b2dbf" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CSD_V2_FILE_FORMAT</name>
        <initializer>(0x0000000CUL)</initializer>
        <briefdescription>
<para>The File format (contained in csd[0]). </para>        </briefdescription>
        <detaileddescription>
<para>This field is set to 0. Host should not use this field. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="957" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="791" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>The masks below are for CSD Register Version 2.0 and can be used with the <ref kindref="member" refid="group__group__sd__host__low__level__functions_1ga19426622f0a7b92579030e0c954f4bc9">Cy_SD_Host_GetCsd</ref> function. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>